Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 414147 - =media-sound/audex-0.74_beta1 not compiles with gcc-4.7
Summary: =media-sound/audex-0.74_beta1 not compiles with gcc-4.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.7
  Show dependency tree
 
Reported: 2012-04-30 16:27 UTC by David Kredba
Modified: 2012-05-02 18:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Kredba 2012-04-30 16:27:57 UTC
.[0m[ 57%] .[32mBuilding CXX object CMakeFiles/audex.dir/utils/hashlist.cpp.o
.[0m/var/tmp/portage/media-sound/audex-0.74_beta1/work/audex-0.74b1/utils/hashlist.cpp: In member function ‘const QStringList Hashlist::getSFV
(const QStringList&)’:
/var/tmp/portage/media-sound/audex-0.74_beta1/work/audex-0.74b1/utils/hashlist.cpp:35:41: error: ‘lseek’ was not declared in this scope
/var/tmp/portage/media-sound/audex-0.74_beta1/work/audex-0.74b1/utils/hashlist.cpp:45:13: error: ‘close’ was not declared in this scope
make[2]: *** [CMakeFiles/audex.dir/utils/hashlist.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [CMakeFiles/audex.dir/all] Error 2
make: *** [all] Error 2
 .[31;01m*.[0m ERROR: media-sound/audex-0.74_beta1 failed (compile phase):
 .[31;01m*.[0m   emake failed
Comment 1 Michael Palimaka (kensington) gentoo-dev 2012-05-02 17:30:53 UTC
This has been fixed upstream with this patch, which works fine after being dropped into portage: http://websvn.kde.org/trunk/playground/multimedia/audex/utils/hashlist.cpp?r1=1286830&r2=1286829&pathrev=1286830&view=patch
Comment 2 Johannes Huber gentoo-dev 2012-05-02 18:00:07 UTC
Thanks.

+  02 May 2012; Johannes Huber <johu@gentoo.org>
+  +files/audex-0.74_beta1-gcc47.patch, audex-0.74_beta1.ebuild:
+  Add upstream patch to fix build with gcc47 spotted by Michael (kensington)
+  <gentoo@scribeofthenile.com> wrt bug #414147.